"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isProcessRunning = exports.getMatchAndKeyValues = exports.isFilterOperator = exports.getCollectionToken = void 0;
const ramda_1 = require("ramda");
const constants_1 = require("./constants");
const getCollectionToken = (entity) => `entity:${entity.name}`;
exports.getCollectionToken = getCollectionToken;
const isFilterOperator = (value) => Object.keys(value).some(key => constants_1.FILTER_OPERATORS_MAP.has(key));
exports.isFilterOperator = isFilterOperator;
exports.getMatchAndKeyValues = (0, ramda_1.pickBy)(value => !(0, exports.isFilterOperator)(value));
const isProcessRunning = (pid) => {
    if (!pid) {
        return false;
    }
    try {
        process.kill(pid);
        return true;
    }
    catch {
        return false;
    }
};
exports.isProcessRunning = isProcessRunning;
//# sourceMappingURL=utils.js.map